<?php
/**
 * @package   DocImport
 * @copyright Copyright (c)2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') || die;

use Joomla\CMS\Application\CMSApplication;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Object\CMSObject;
use Joomla\CMS\Plugin\CMSPlugin;

class plgButtonDocimport extends CMSPlugin
{
	/** @var CMSApplication */
	protected $app;

	protected $autoloadLanguage = true;

	private static bool $addedJavaScript = false;

	public function onDisplay(string $name): ?CMSObject
	{
		if (!ComponentHelper::isEnabled('com_docimport'))
		{
			return null;
		}

		$this->addJavaScript();

		// TODO
	}

	private function addJavaScript()
	{
		if (self::$addedJavaScript)
		{
			return;
		}

		self::$addedJavaScript = true;


	}
}
